{% extends 'base.html.twig' %}

{% block title %}Liste des Livres{% endblock %}

    {% block body %}

        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <table id="example1" class="table table-bordered table-striped" style="text-align: center">
                    <thead>
                    <tr>
                        <th>Titre</th>
                        <th style="width: 95px">Nombre des Pages</th>
                        <th style="width: 100px">Date d'Edition</th>
                        <th style="width: 100px">Nombre d'Exemplaires</th>
                        <th>Prix</th>
                        <th style="width: 80px">ISBN</th>
                        <th>Auteurs</th>
                        {% if is_granted('IS_AUTHENTICATED_FULLY')%}
                            <th style="width: 120px">Actions</th>
                        {% endif %}
                    </tr>
                    </thead>

                    <tbody>
                    {% for livre in livres %}
                        <tr>
                            <td>{{ livre.titre }}</td>
                            <td>{{ livre.nbPages }}</td>
                            <td>{{ livre.dateEdition ? livre.dateEdition|date('Y-m-d') : '' }}</td>
                            <td>{{ livre.nbExemplaires }}</td>
                            <td>{{ livre.prix }}</td>
                            <td>{{ livre.isbn }}</td>
                            <td>
                                {% for a in livre.auteurs %}
                                    {{ a.prenom }} {{ a.nom }} <br>
                                {% else %}
                                    <span style="color: red"> Pas de résultat! </span>
                                {% endfor %}
                            </td>
                            {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                            <td style="display: flex; align-items: center; justify-content: center;">

                                {% if is_granted('ROLE_ADMIN') %}
                                    {#<a href="{{ path('livre_show', {'id': livre.id}) }}" class="btn btn-primary btn-block"
                                         style="padding: 5px; background-color: #343a40; border-color: #343a40;">Afficher</a>#}
                                    <form method="post" action="{{ path('livre_delete', {'id': livre.id}) }}"
                                          onsubmit="return confirm('Etes-vous sûr que vous voulez supprimer ' +
                                              'ce Livre?');" style="padding-right: 10px; /*padding-left: 10px;*/">
                                        <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ livre.id) }}">
                                        <button class="btn btn-primary btn-block" style="padding: 3px;
                                                background-color: #343a40; border-color: #343a40;">Supprimer</button>
                                    </form>
                                    <a href="{{ path('livre_edit', {'id': livre.id}) }}"
                                       class="btn btn-primary btn-block" style="padding: 3px; background-color: #343a40; +
                                       border-color: #343a40;">Modifier</a>

                                {# for user role #}

                                {#{% elseif ((livre in app.user.livres_empruntes) and (app.user.livres_empruntes|length <= 2)) %}
                                    #}{#<a onclick="exist_already()" class="btn btn-primary btn-block"
                                       disabled="disabled" style="padding: 3px; background-color: #ff0000;
                                       border-color: #ff0000;">Emprunter</a>#}{#
                                    <form method="post" action="{{ path('delete_emprunt', {'id': app.user.id,
                                    'livre': livre.id}) }}"
                                          onsubmit="return confirm('Etes-vous sûr que vous voulez annuler ' +
                                              'la demande?');" #}{#style=" padding-left: 10px;"#}{#>
                                        <input type="hidden" name="_token" value="{{ csrf_token(
                                            'delete_emprunt_demand' ~ livre.id) }}">
                                        <button class="btn btn-primary btn-block" style="padding: 3px; width: 91px;
                                                background-color: #ff0000; border-color: #ff0000;">Annuler</button>
                                    </form>

                                {% elseif (app.user.livres_empruntes|length <= 2) %}
                                    <a href="{{ path('add_livre_to_list', {'id': app.user.id, 'livre': livre.id}) }}"
                                       class="btn btn-primary btn-block" style="padding: 3px; background-color: #007bff; +
                                               border-color: #007bff;">Emprunter</a>

                                {% elseif (livre in app.user.livres_empruntes) %}
                                    #}{#<a onclick="allowed_books_limit_reached()" class="btn btn-primary btn-block"
                                       disabled="disabled" style="padding: 3px; background-color: #ff0000;
                                               border-color: #ff0000;">Emprunter</a>#}{#
                                    <form method="post" action="{{ path('delete_emprunt', {'id': app.user.id,
                                        'livre': livre.id}) }}"
                                          onsubmit="return confirm('Etes-vous sûr que vous voulez annuler ' +
                                              'la demande?');" style="">
                                        <input type="hidden" name="_token" value="{{ csrf_token(
                                            'delete_emprunt_demand' ~ livre.id) }}">
                                        <button class="btn btn-primary btn-block" style="padding: 3px; width: 91px;
                                                background-color: #ff0000; border-color: #ff0000;">Annuler</button>
                                    </form>

                                {% else %}
                                    <a onclick="allowed_books_limit_reached()" class="btn btn-primary btn-block"
                                       disabled style="padding: 3px; background-color: #bebdbe;
                                               border-color: #bebdbe;">Emprunter</a>

                                {% endif %}#}

                                {% elseif ((livre in app.user.livres_empruntes)
                                    and ((app.user.livres_empruntes|length + app.user.livreToEmprunt|length) <= 2)) %}
                                    <a onclick="emprunt_approuved()" class="btn btn-primary btn-block"
                                       disabled style="padding: 3px; background-color: #008b51;
                                               border-color: #008b51;">Confimé</a>

                                {% elseif ((livre in app.user.livreToEmprunt)
                                    and ((app.user.livres_empruntes|length + app.user.livreToEmprunt|length) <= 2)) %}
                                    <form method="post" action="{{ path('delete_emprunt', {'id': app.user.id,
                                    'livre': livre.id}) }}"
                                          onsubmit="return confirm('Etes-vous sûr que vous voulez annuler ' +
                                              'la demande?');">
                                        <input type="hidden" name="_token" value="{{ csrf_token(
                                                'delete_emprunt_demand' ~ livre.id) }}">
                                        <button class="btn btn-primary btn-block" style="padding: 3px; width: 91px;
                                                    background-color: #ff0000; border-color: #ff0000;">Annuler</button>
                                    </form>

                                {% elseif ((app.user.livres_empruntes|length + app.user.livreToEmprunt|length) <= 2) %}
                                    <a href="{{ path('add_livre_to_list', {'id': app.user.id, 'livre': livre.id}) }}"
                                       class="btn btn-primary btn-block" style="padding: 3px; background-color: #007bff; +
                                               border-color: #007bff;">Emprunter</a>

                                {% elseif (livre in app.user.livres_empruntes) %}
                                    <a onclick="emprunt_approuved()" class="btn btn-primary btn-block"
                                       disabled style="padding: 3px; background-color: #008b51;
                                                   border-color: #008b51;">Confimé</a>

                                {% elseif (livre in app.user.livreToEmprunt) %}
                                    <form method="post" action="{{ path('delete_emprunt', {'id': app.user.id,
                                        'livre': livre.id}) }}"
                                          onsubmit="return confirm('Etes-vous sûr que vous voulez annuler ' +
                                                  'la demande?');">
                                        <input type="hidden" name="_token" value="{{ csrf_token(
                                            'delete_emprunt_demand' ~ livre.id) }}">
                                        <button class="btn btn-primary btn-block" style="padding: 3px; width: 91px;
                                                        background-color: #ff0000; border-color: #ff0000;">Annuler</button>
                                    </form>

                                {% else %}
                                    <a onclick="allowed_books_limit_reached()" class="btn btn-primary btn-block"
                                       disabled style="padding: 3px; background-color: #bebdbe;
                                               border-color: #bebdbe;">Emprunter</a>

                                {% endif %}

                            </td>
                            {% endif %}
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="8"> Pas de résultat! </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                {% if is_granted('ROLE_ADMIN') %}
                    <div style="padding-top: 20px; display: flex; align-items: center; justify-content: center">
                        <a href="{{ path('livre_new') }}">
                            <button class="btn btn-primary btn-block" style="/*padding: 3px;*/
                            background-color: #343a40;
                            border-color: #343a40; width: 500px">Ajouter un Livre</button>
                        </a>
                    </div>
                {% endif %}
            </div>
            <!-- /.card-body -->
        </div>
{% endblock %}

{% block added_script_code %}
    <script>
        function allowed_books_limit_reached() {
            alert("Vous avez déja emprunter trois livres.");
        }
        function exist_already() {
            alert("Vous avez déja emprunter ce livre.");
        }
        function emprunt_approuved() {
            alert("La demande d'emprunt de ce livre est confirmé.");
        }
    </script>
{% endblock %}